var gTocFiles = [
["About this guide","src/ccasd_about_this_guide.html"]
,["Introduction","src/ccasd_introduction.html",
["Overview of the Integrator Acquisition System","src/ccasd_cas_introduction.html"]
,["About the Endeca IAS Service","src/ccasd_about_the_endeca_cas_service.html"]
,["About the IAS Server","src/ccasd_about_the_cas_server.html"]
,["About the Component Instance Manager","src/ccasd_cim_features.html"]
,["About the Record Store","src/ccasd_record_store_features.html"]
,["About using SSL with IAS","src/ccasd_about_using_SSL_with_IAS.html"]
,["Overview of the default IAS crawls and manipulators","src/ccasc_overview_of_the_def_datasources.html"]
],["Running the IAS Sample Applications","src/ccasd_running_the_cas__sample_applications_section.html",
["About the sample IAS applications","src/ccasd_about_the_sample_cas_applications.html"]
,["Using the IAS Server Java client","src/ccasd_using_the_cas_server_java_client.html",
["IAS Server Java client sample files and directories","src/ccasd_cas_server_java_client_sample_files.html"]
,["About the IAS Server Java client program","src/ccasd_about_the_cas_server_java_sample_client.html"]
,["Building and running the Java client with Ant","src/tcasd_building_running_the_java_client_w_ant.html"]
,["Opening the ias-server-java-client project in Eclipse","src/tcasd_opening_sample_cas_svr_java_project_in_eclipse.html"]
,["Running the operations of the Java client","src/tcasd_running_the_ops_of_java_client.html"]
],["Using the Record Store Java client","src/ccasd_using_the_rs_java_client.html",
["Record Store client sample files and directories","src/ccasd_rs_client_sample_files_and_dirs.html"]
,["About the Record Store sample client applications","src/ccasd_about_the_rs_sample_client_apps.html"]
,["Building and running the sample writer client with Ant","src/tcasd_building_and_running_rec_store_writer_client_w_ant.html"]
,["Building and running the sample reader client with Ant","src/tcasd_building_and_running_rec_store_reader_client_w_ant.html"]
,["Opening the recordstore-java-client project in Eclipse","src/tcasd_opening_the_rs_java_client_sample_project_in_eclipse.html"]
,["Running the operations of the sample writer client","src/tcasd_running_the_ops_of_sample_writer_client.html"]
,["Running the operations of the sample reader client","src/tcasd_running_the_ops_of_sample_reader_client.html"]
]],["Creating a Crawl","src/ccasd_configuring_data_sources_for_crawling.html",
["About creating a crawl","src/ccasd_about_creating_a_crawl.html"]
,["Creating a Delimited File crawl","src/tcasd_creating_a_delimited_file_crawl.html"]
,["Creating a Documentum Content Server crawl","src/tcasd_creating_a_documentum_content_server_crawl.html",
["Supported versions of Documentum Content Server","src/ccms_documentum_content_server_supported_versions.html"]
,["Setting up IAS for Documentum Content Server","src/tcms_config_crawler_Documentum.html"]
,["Limitations of a Documentum Content Server crawl","src/ccms_limitations_of_the_documentum_connector.html"]
,["Permission mapping in a Documentum Content Server crawl","src/ccms_permission_mapping_for_the_documentum_content_server.html"]
],["Creating a File System crawl","src/tcasd_creating_a_file_system_crawl.html"]
,["Creating a JDBC crawl","src/tcasd_creating_a_jdbc_crawl.html",
["Feature notes and known limitations of JDBC crawls","src/ccasd_known_limitations_of_the_jdbc_ds.html"]
],["Determining which SharePoint crawl to use","src/ccms_determing_which_sp_connector.html"]
,["Creating a SharePoint Object Model crawl","src/tcasd_creating_a_sp_om_crawl.html",
["SharePoint versions supported by an SharePoint Object Model   crawl","src/ccms_ms_sp_versions_supported_by_the_objectmodel_connector.html"]
,["Installing a SharePoint solution on the SharePoint server","src/tcms_installing_sp_solution_deployment.html"]
,["Additional configuration notes for a SharePoint Object Model   crawl","src/rcms_additional_config_notes_for_the_sp_objectmodel_connector.html"]
,["Permission mapping for SharePoint Object Model properties","src/ccms_permission_mapping_for_objectmodel_connector.html"]
,["Uninstalling the SharePoint solution from the SharePoint   server","src/tcms_uninstalling_the_sp_solution_deployment.html"]
],["Creating a SharePoint Web Services crawl","src/tcasd_creating_a_sp_ws_crawl.html",
["SharePoint versions supported by a SharePoint Web Services crawl","src/ccms_supported_versions_for_sp_webservices_connector.html"]
,["Additional configuration notes for a SharePoint Web Services   crawl","src/rcms_additional_config_notes_for_sp_webservices_connector.html"]
,["Permission mapping for SharePoint Web Services properties","src/ccms_permission_mapping_for_webservices_connector.html"]
],["About filters","src/c_about_filters.html"]
,["Setting document conversion options","src/ccasd_setting_doc_conversion_options.html"]
,["Configuring document conversion filters","src/tcasd_configuring_doc_conversion_filters.html"]
,["Adding a Filtering Script manipulator to a crawl","src/tcasd_adding_a_filtering_script_manipulator.html"]
,["Adding a Modifying Script manipulator to a crawl","src/tcasd_adding_a_modifying_script_manipulator.html"]
,["Modifying a crawl","src/tcasd_modifying_a_crawl.html"]
,["Writing crawl output to a file","src/tcasd_writing_crawl_output_to_a_file.html"]
],["Configuring a Record Store Instance","src/ccasd_configuring_a_rs_section.html",
["About record generations","src/ccasd_about_record_generations.html"]
,["About transactions","src/ccasd_about_transactions.html"]
,["About the last read generation for a client","src/ccasd_about_client_states.html"]
,["About deleted records","src/ccasd_about_deleted_files.html"]
,["Configuring a Record Store instance","src/tcasd_configuring_a_rsi.html"]
,["Configuration properties for a Record Store instance","src/rcasd_configuration_props_for_rsi.html"]
,["Change properties and new Record Store instances","src/ccasd_change_properties_and_new_rsi.html"]
,["Deleting stale generations of records","src/ccasd_deleting_stale_generations.html"]
,["Disabling automatic management of a Record Store instance","src/tcasd_disabling_automanagement_rec_store_instance.html"]
,["Performance considerations when using a Record Store instance","src/ccasd_upper_limit_of_rs.html"]
],["Running a Crawl","src/ccasd_crawling_data_sources_section.html",
["Running a crawl","src/ccasd_crawling_a_data_source.html"]
,["Order of execution in a crawl configuration","src/ccasd_order_of_execution.html"]
,["Full and incremental crawling modes","src/c_types_of_crawl_modes.html"]
,["Crawls and archive files","src/ccasd_file_system_crawls_and_archives.html"]
,["About writing records to a Record Store instance","src/ccasd_about_writing_recs_to_a_rs_instance.html"]
,["About the record output file","src/ccasd_about_the_crawl_output_file.html"]
],["IAS Server Command-line Utility","src/ccasd_casserver_cmd_section.html",
["Overview of the IAS Server Command-line Utility","src/ccasd_overview_of_casserver_cmd_ult.html"]
,["About IAS capabilities","src/ccasd_about_cas_capabilities.html"]
,["Saving passwords in a crawl configuration file","src/tcasd_saving_passwords_for_cms_crawls.html"]
,["Inspecting installed modules","src/ccasd_inspecting_installed_modules_section.html",
["Getting the specifications of all modules","src/tcasd_getting_the_specifications_of_all_modules.html"]
,["Getting the specification of a module","src/tcasd_getting_the_properties_of_a_data_source_or_manipulator.html"]
,["Listing modules","src/tcasd_listing_data_sources_and_manipulators.html"]
],["Managing crawls","src/ccasd_managing_crawls_section.html",
["Creating crawls","src/tcasd_creating_a_crawl.html"]
,["Deleting a crawl","src/tcasd_deleting_a_crawl.html"]
,["Getting all crawls","src/tcasd_getting_all_crawls.html"]
,["Getting a crawl","src/tcasd_getting_a_crawl.html"]
,["Getting the incremental support status of a crawl","src/tcasd_getting_the_incr_support_status.html"]
,["Listing crawls","src/tcasd_listing_crawls.html"]
,["Starting a crawl","src/tcasd_starting_a_crawl.html"]
,["Stopping a crawl","src/tcasd_stopping_a_crawl.html"]
,["Updating crawls","src/tcasd_updating_a_crawl.html"]
],["Viewing crawl status and results","src/ccasd_viewing_crawl_status_and_results_section.html",
["Getting metrics for all crawls","src/tcasd_getting_metrics_for_all_crawls.html"]
,["Getting the metrics for a crawl","src/tcasd_getting_the_metrics_of_a_crawl.html"]
,["Getting the status of a crawl","src/tcasd_getting_the_status_of_a_crawl.html"]
]],["Component Instance Manager Command-line Utility","src/ccasd_cim_cmd_line_utility_section.html",
["Overview of the CIM Command-line Utility","src/ccasd_overview_of_the_cim_utility.html"]
,["Creating a Record Store","src/tcasd_cim_creating_a_record_store.html"]
,["Deleting a Record Store","src/tcasd_cim_deleting_a_record_store.html"]
,["Listing components","src/tcasd_cim_listing_components.html"]
,["Listing types","src/tcasd_cim_listing_types.html"]
],["Record Store Command-line Utility","src/ccasd_rs_cmd_line_ult_section.html",
["Overview of the Record Store Command-line Utility","src/ccasd_overview_of_the_rs_cmd_line_utility.html"]
,["Writing tasks","src/ccasd_writing_task.html",
["Writing records","src/tcasd_writing_records.html"]
],["Reading tasks","src/ccasd_reading_tasks.html",
["Reading baselines","src/tcasd_reading_baselines.html"]
,["Reading delta records","src/tcasd_reading_delta_recs.html"]
,["Reading specific records","src/tcasd_reading_specific_records.html"]
],["Utility tasks","src/ccasd_utility_tasks.html",
["Cleaning a Record Store instance","src/tcasd_running_the_cleaner.html"]
,["Clearing the last read generation","src/tcasd_clearing_last_read_generation.html"]
,["Committing transactions","src/tcasd_committing_transactions.html"]
,["Getting the configuration of a Record Store instance","src/tcasd_getting_the_config_of_a_rs.html"]
,["Getting the ID of the last-committed generation","src/tcasd_getting_the_id_of_last_committed_generation.html"]
,["Getting the last-read generation","src/tcasd_getting_the_last_generation.html"]
,["Getting the ID of the write generation","src/tcasd_getting_the_id_of_write_generation.html"]
,["Listing active transactions","src/tcasd_listing_active_transactions.html"]
,["Listing generations","src/tcasd_listing_generations.html"]
,["Rolling back transactions","src/tcasd_rollingback_transactions.html"]
,["Setting the configuration of a Record Store instance","src/tcasd_setting_the_config_of_a_rs.html"]
,["Setting the last-read generation","src/tcasd_setting_last_read_generation.html"]
,["Starting transactions","src/tcasd_starting_transactions.html"]
]],["Running IAS components","src/ccasd_running_cas_components_section.html",
["About running IAS components","src/ccasd_about_running_CAS_components.html"]
,["Running the Endeca IAS Service from the Windows Services   console...","src/tcasd_running_cas_service_on_windows.html"]
,["Starting the Endeca IAS Service from a command prompt","src/tcasd_starting_cas_service_from_cmd.html",
["Command-line flags to IAS Service","src/ccasd_command_line_flags.html"]
],["Stopping the Endeca IAS Service from a command prompt","src/tcasd_stopping_cas_service_from_cmd.html"]
],["Backing up and Restoring IAS","src/ccasd_backing_up_root.html",
["Coordinating backups and restore operations","src/ccasd_coordinating_backups.html"]
,["Online backup and restore operations","src/ccasd_online_backup_and_restore_tasks.html",
["Backing up crawl configurations","src/tcasd_backing_up_crawl_configurations.html"]
,["Backing up the last generation of Endeca records","src/tcasd_backing_up_an_rs_instance.html"]
,["Restoring crawl configurations","src/tcasd_restoring_crawl_configurations.html"]
,["Restoring the last generation of Endeca records","src/tcasd_restoring_an_rs_instance.html"]
],["Offline backup and restore operations","src/ccasd_offline_backup_and_restore_tasks.html",
["Backing up IAS state","src/tcasd_backing_up_cas_state.html"]
,["Restoring IAS state","src/tcasd_restoring_cas_state.html"]
]],["Configuring Logging","src/ccasd_logging_root.html",
["Configuring logging for IAS components and command-line   utilities","src/ccasd_configuring_logging_for_cas.html"]
,["Setting log properties to troubleshoot CMS crawls issues","src/tcasd_setting_log_properties_for_troubleshooting_cms_connector_issues.html"]
,["Excluding failed records from the IAS Service log file","src/tcasd_excluding_failed_records.html"]
,["Enabling log timing information for crawl processing steps","src/tcasd_enabling_log_timing.html"]
,["Examining the Endeca IAS Service log","src/ccasd_examining_the_cas_service_log.html"]
],["Tips and Troubleshooting IAS","src/ccasd_administering_section.html",
["Fixing crawl performance issues","src/ccasd_fixing_crawl_perf_issues.html"]
,["Modifying the IAS Service temporary directory","src/tcasd_modifying_the_cas_service_temp_dir.html"]
,["Responding to a &quot;Too many open files&quot; error","src/ccasd_adjusting_number_of_open_files.html"]
,["Setting the group entry size","src/ccasd_setting_the_group_size_entry.html"]
],["File Formats Supported by the IAS Document Conversion Module","src/ccasd_app_formats_root.html",
["Archive formats","src/rcasd_app_formats_compressed.html"]
,["Database formats","src/rcasd_app_formats_database.html"]
,["E-mail formats","src/rcasd_app_formats_email.html"]
,["Multimedia formats","src/rcasd_app_formats_multimedia.html"]
,["Other formats","src/rcasd_app_formats_other.html"]
,["Presentation formats","src/rcasd_app_formats_presentation.html"]
,["Raster image formats","src/rcasd_app_formats_raster.html"]
,["Spreadsheet formats","src/rcasd_app_formats_spreadsheets.html"]
,["Text and markup formats","src/rcasd_app_formats_text.html"]
,["Vector image formats","src/rcasd_app_formats_graphics.html"]
,["Word processing formats","src/rcasd_app_formats_word.html"]
],["Record Properties Generated by Crawling","src/ccasd_record_props_generated_by_crawling.html",
["Common record properties","src/rcasd_common_record_properties.html"]
,["Record properties generated by file system crawls","src/ccasd_rec_properties_generated_by_fs_crawls.html",
["Common file system properties","src/rcasd_common_file_system_properties.html"]
,["Record properties for file system crawls on Windows","src/rcasd_windows_file_record_properties.html"]
,["Record properties for file system crawls on UNIX","src/rcasd_unix_file_record_properties.html"]
,["Limitations with ACL properties","src/ccasd_limitations_with_acls.html"]
],["Document Conversion properties","src/rcasd_doc_conversion_properties.html"]
,["Record properties generated by CMS crawls","src/rcasd_common_cms_properties.html"]
,["How CMS crawls handle multiple pieces of content","src/ccasd_handling_multiple_pieces_of_content.html"]
],["Copyright and disclaimer","src/c_copyright.html"]
];
var gInitURL = "src/ccasd_about_this_guide.html";
var gMapTitle = "Integrator Acquisition System Developer's Guide";
